import math

print('Script started')

y = 5
array = [1,2,3,4,5]

class Process:
    def __init__(self, A0, f0, sgm_x, sgm_vx):
        self.A0 = A0
        self.f0 = f0
        self.sgm_x = sgm_x
        self.sgm_vx = sgm_vx
        
    def X0(self, t):
        return self.A0*math.sin(2*math.pi*self.f0*t)
        
    def X(self, t):
        return self.X0(t)
        +random.normalvariate(0,self.sgm_x)
        
    def V(self, t):
        return self.A0*2*math.pi*self.f0*math.cos(2*math.pi*self.f0*t)
        +random.normalvariate(0,self.sgm_vx)

p = Process(1,1,0.1,0.01)
X = p.X(0)
Vx = p.V(0)